Retrieve a Trade
curl --request GET \
--url https://commerce.driv.ly/api/trades/{customer}/{vehicle}import requests
url = "https://commerce.driv.ly/api/trades/{customer}/{vehicle}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://commerce.driv.ly/api/trades/{customer}/{vehicle}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"deal": "dea_1a2b3c4d5e6f",
"vehicle": {
"id": "veh_3k12j9qksdf0",
"vin": "1C4HJXEN5MW592818",
"year": 2021,
"make": "Jeep",
"trim": "Sport",
"spec": "Off-Road Package",
"model": "Wrangler",
"engine": "3.6L V6",
"seatCount": 5,
"doorCount": 4,
"bodyStyle": "SUV",
"drivetrain": "4WD",
"transmission": "Automatic",
"interiorColor": "Black",
"exteriorColor": "Red"
},
"customer": {
"id": "cus_k3j5s9qj3w0d",
"addresses": [
"123 Main St, Anytown, USA"
],
"phoneNumbers": [
"555-123-4567"
]
},
"odometer": 15000,
"creditApp": "cre_5j6k7l8m9n0o",
"netAllowance": 25000,
"grossAllowance": 26000
},
"success": true
}{
"error": {
"code": 401,
"message": "Unauthorized"
},
"success": false
}{
"error": {
"code": 404,
"message": "Trade Not Found"
},
"success": false
}{
"error": {
"code": 429,
"message": "Too Many Requests"
},
"success": false
}Trades
Retrieve a Trade
GET
/
trades
/
{customer}
/
{vehicle}
Retrieve a Trade
Path Parameters
Trade is uniquely identified by Customer
Trade is uniquely identified by Vehicle
Query Parameters
The number of levels of related objects to include in the response
Response
Trade Found
Customer offers Vehicle for trade
Show child attributes
Show child attributes
Example:
{
"deal": "dea_1a2b3c4d5e6f",
"vehicle": {
"id": "veh_3k12j9qksdf0",
"vin": "1C4HJXEN5MW592818",
"year": 2021,
"make": "Jeep",
"trim": "Sport",
"spec": "Off-Road Package",
"model": "Wrangler",
"engine": "3.6L V6",
"seatCount": 5,
"doorCount": 4,
"bodyStyle": "SUV",
"drivetrain": "4WD",
"transmission": "Automatic",
"interiorColor": "Black",
"exteriorColor": "Red"
},
"customer": {
"id": "cus_k3j5s9qj3w0d",
"addresses": ["123 Main St, Anytown, USA"],
"phoneNumbers": ["555-123-4567"]
},
"odometer": 15000,
"creditApp": "cre_5j6k7l8m9n0o",
"netAllowance": 25000,
"grossAllowance": 26000
}
⌘I